IOSS 2.0

Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
Iotr::Scale3D Class Reference

`#include <Iotr_Scale3D.h>`

Inheritance diagram for Iotr::Scale3D:
[legend]
Collaboration diagram for Iotr::Scale3D:
[legend]

## Public Member Functions
const Ioss::VariableType * | output_storage (const Ioss::VariableType *in) const override
int | output_count (int in) const override
void | set_properties (const std::string &name, const std::vector< int > &values) override
void | set_properties (const std::string &name, const std::vector< double > &values) override
Public Member Functions inherited from Ioss::Transform
virtual | ~Transform ()
bool | execute (const Ioss::Field &field, void *data)
virtual void | set_property (const std::string &name, int value)
virtual void | set_property (const std::string &name, double value)

## Protected Member Functions
| Scale3D ()
bool | internal_execute (const Ioss::Field &field, void *data) override
Protected Member Functions inherited from Ioss::Transform
| Transform ()

## Private Attributes
int | intScale [3] {}
double | realScale [3] {}

## Friends
class | Scale3D_Factory

## Constructor & Destructor Documentation

## ◆ Scale3D()

Iotr::Scale3D::Scale3D | ( |  | ) |
| protected

## Member Function Documentation

## ◆ internal_execute()

bool Iotr::Scale3D::internal_execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |
| overrideprotectedvirtual

Implements Ioss::Transform.

## ◆ output_count()

int Iotr::Scale3D::output_count | ( | int | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ output_storage()

const Ioss::VariableType * Iotr::Scale3D::output_storage | ( | const Ioss::VariableType * | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ set_properties() [1/2]

void Iotr::Scale3D::set_properties | ( | const std::string & | name,
|  | const std::vector< double > & | values
| ) |  |
| overridevirtual

Reimplemented from Ioss::Transform.

## ◆ set_properties() [2/2]

void Iotr::Scale3D::set_properties | ( | const std::string & | name,
|  | const std::vector< int > & | values
| ) |  |
| overridevirtual

Reimplemented from Ioss::Transform.

## Friends And Related Function Documentation

## ◆ Scale3D_Factory

friend class Scale3D_Factory
| friend

## Member Data Documentation

## ◆ intScale

int Iotr::Scale3D::intScale[3] {}
| private

## ◆ realScale

double Iotr::Scale3D::realScale[3] {}
| private

The documentation for this class was generated from the following files:

- src/transform/Iotr_Scale3D.h
- src/transform/Iotr_Scale3D.C